Unknown reason, raw

Hi guys.
Im trying to build a new project, but im facing the following error.

Can, anyone, help me?

MacBook-Air-de-Alex:react-new-app alexmoret$ EXPO_DEBUG=true expo build:ios
┌─────────────────────────────────────────────────────────────┐
│ │
│ There is a new version of expo-cli available (3.4.1). │
│ You are currently using expo-cli 3.0.9 │
│ Run npm install -g expo-cli to get the latest version │
│ │
└─────────────────────────────────────────────────────────────┘
Checking if there is a build in progress…

Please enter your Apple Developer Program account credentials. These
credentials are needed to manage certificates, keys and provisioning profiles
in your Apple Developer account.
The password is only used to authenticate with Apple and never stored.
? Apple ID: lab@moonwalk.com.br
? Password (for lab@moonwalk.com.br): [hidden]
Trying to authenticate with Apple Developer Portal…
Available session is not valid any more. Continuing with normal login.
Service key is empty
Authentication with Apple Developer Portal failed!
Reason: Unknown reason, raw: “Could not receive latest API key from App Store Connect, this might be a server issue.”
Error: Reason: Unknown reason, raw: “Could not receive latest API key from App Store Connect, this might be a server issue.”
at runAction (/expo-cli@3.0.9/src/commands/build/ios/appleApi/fastlane.js:24:17)
at process._tickCallback (internal/process/next_tick.js:68:7)

Facing the exact same issue. It was working previously . Now I get the following error

Trying to authenticate with Apple Developer Portal…

Available session is not valid any more. Continuing with normal login.
Service key is empty
Authentication with Apple Developer Portal failed!
Reason: Unknown reason, raw: “Could not receive latest API key from App Store Connect, this might be a server issue.”

How to resolve it?

I just updated the expo and it works.

Best,

Same here, update expo-cli and it works.

Thanks @labmoonwalk

1 Like

I updated the Expo-CLI but still getting this issue. Please help!

updating expo-cli didn’t worked for me . any other solution?

for me, updating expo-cli by running npm i -g expo-cli solved problem.

For some people it works updating the expo cli. What i have found out so far the main issue is the two factor authentication for the apple dev account. You have to ask apple to cancel it.

So we still have not an answer regarding this issue with expo build?